###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#
###############################################################################
#  EL_BufferMasked_7.cfg
#  Goal:
#  1. To test if the File log is produced on the same way as without EL, i.e  ">>>>ACTION in tc_user_EL, before the loop<<<<<" is expected in the log
#  2. To test if the EmergencyLog contains at longest buffer_size (15) user logs as emergency log and not any other info
[MODULE_PARAMETERS]
tsp_looplimit:=20

[TESTPORT_PARAMETERS]
#empty
[LOGGING]
LogFile := "logs/%e-%r.%s"

ConsoleMask := ERROR | ACTION | EXECUTOR
FileMask :=   ERROR | ACTION | TESTCASE

TimeStampFormat := Time
LogEventTypes := Yes
SourceInfoFormat := Stack
LogEventTypes := Detailed
//AppendFile := Yes

*.EmergencyLogging:=15
*.EmergencyLoggingBehaviour := BufferMasked
*.EmergencyLoggingMask := LOG_ALL

[EXECUTE]
EmergencyLoggingTest.tc_user_EL
[MAIN_CONTROLLER]
#UnixSocketsEnabled := No

//saved by GUI
